package org.moskito.control.ui.action;

import net.anotheria.maf.action.Action;
import net.anotheria.maf.action.ActionMapping;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Base action for all ui actions.
 *
 * @author lrosenberg
 * @since 01.04.13 13:45
 */
public abstract class BaseMoSKitoControlAction implements Action {

	/**
	 * Name of the currently selected application in the session.
	 */
	public static final String ATT_APPLICATION = "application";
	/**
	 * Name of the currently selected category in the session.
	 */
	public static final String ATT_CATEGORY = "category";
	/**
	 * Name of the history state (on/off) in session.
	 */
	public static final String ATT_HISTORY = "history";

	public static final String VALUE_ALL_CATEGORIES = "All Categories";

	@Override
	public void preProcess(ActionMapping actionMapping, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) throws Exception {
		//To change body of implemented methods use File | Settings | File Templates.
	}

	@Override
	public void postProcess(ActionMapping actionMapping, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse) throws Exception {
		//To change body of implemented methods use File | Settings | File Templates.
	}

	protected void setCurrentApplicationName(HttpServletRequest req, String application){
		req.getSession().setAttribute(ATT_APPLICATION, application);
		//reset other variables.
		req.getSession().removeAttribute(ATT_CATEGORY);

	}

	protected String getCurrentApplicationName(HttpServletRequest req){
		return (String)req.getSession().getAttribute(ATT_APPLICATION);
	}

	protected void setCurrentCategoryName(HttpServletRequest req, String categoryName){
		if (categoryName.equals(VALUE_ALL_CATEGORIES))
			categoryName = "";
		req.getSession().setAttribute(ATT_CATEGORY, categoryName);
	}

	protected String getCurrentCategoryName(HttpServletRequest req){
		return (String)req.getSession().getAttribute(ATT_CATEGORY);
	}

	protected boolean isHistoryOn(HttpServletRequest req){
		Boolean history = (Boolean)req.getSession().getAttribute(ATT_HISTORY);
		//the first part of the equation means history is on by default.
		return history==null || history==Boolean.TRUE;
	}

	protected void setHistoryOn(HttpServletRequest req){
		req.getSession().setAttribute(ATT_HISTORY, Boolean.TRUE);
	}

	protected void setHistoryOff(HttpServletRequest req){
		req.getSession().setAttribute(ATT_HISTORY, Boolean.FALSE);
	}
}
